
Foreman - Bug #1308

error when trying to cancel build.

11/09/2011 08:28 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

undefined method `join' for #<String:0x7fcf92abdf60>

found in version 0.4 release

I tried to cancel a build and received this error.

Related issues:

Is duplicate of Foreman - Bug #1449: undefined method `join' for "Failed to c... Duplicate 01/17/2012

Associated revisions

Revision 5346844c - 01/29/2012 09:11 AM - Ohad Levy

fixes #1308 - error when trying to cancel build.

History

#1 - 11/09/2011 11:38 PM - Ohad Levy

can you please send the full trace?

#2 - 11/10/2011 01:05 AM - Corey Osman

this is the error that pops in the log:

Failed to save: Root pass should be 8 characters or more.

Yet I can do this with the bulk update without this error.

#3 - 11/10/2011 09:46 AM - Ohad Levy

I'm guessing your host cant be saved, if you try to save it first, does it work?

#4 - 01/29/2012 08:18 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Ohad Levy

- Target version set to 1.0

#5 - 01/29/2012 09:58 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 5346844cbe57de8415e45282bd3377dd3878bc67.
